Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class HTMLCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.HTMLCodec

All Implemented Interfaces:
  CodecFactory, GrailsApplicationAware

    public final class HTMLCodec
    extends java.lang.Object

Encodes and decodes strings to and from HTML.

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  1.1

Field Summary
`static java.lang.String` | `CONFIG_PROPERTY_GSP_HTMLCODEC`

Constructor Summary
`HTMLCodec()`

Method Summary
`Decoder` | `getDecoder()`
`Encoder` | `getEncoder()`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setUseLegacyEncoder(boolean useLegacyEncoder)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONFIG_PROPERTY_GSP_HTMLCODEC

    public static final java.lang.String CONFIG_PROPERTY_GSP_HTMLCODEC

Constructor Detail

### HTMLCodec

    public HTMLCodec()

Method Detail

### getDecoder

    public Decoder getDecoder()

### getEncoder

    public Encoder getEncoder()

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setUseLegacyEncoder

    public void setUseLegacyEncoder(boolean useLegacyEncoder)

Groovy Documentation